# TdApi.UserSupportInfo (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UserSupportInfo

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserSupportInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserSupportInfo

Enclosing class:
  TdApi

public static final class TdApi.UserSupportInfo extends TdApi.Object
Contains custom information about the user.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`author`
Information author.
`static final int`
`CONSTRUCTOR`
`int`
`date`
Information change date.
`TdApi.FormattedText`
`message`
Information message.

## Constructor Summary

Constructors
Constructor
Description
`UserSupportInfo()`
Contains custom information about the user.
`UserSupportInfo(TdApi.FormattedText message, String author, int date)`
Contains custom information about the user.
`UserSupportInfo(DataInput input)`
Contains custom information about the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### message

public TdApi.FormattedText message
Information message.

### author

public String author
Information author.

### date

public int date
Information change date.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UserSupportInfo

public UserSupportInfo()
Contains custom information about the user.

### UserSupportInfo

public UserSupportInfo(TdApi.FormattedText message, String author, int date)
Contains custom information about the user.

Parameters:
  `message` - FormattedText Information message.
  `author` - String Information author.
  `date` - int Information change date.

### UserSupportInfo

public UserSupportInfo(DataInput input) throws IOException
Contains custom information about the user.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`